Imports System.Data.SqlServerCe
Imports System.Data
Imports System.Drawing
Imports System.Windows.Forms

Public Class frmPatientMedicationSummary

    Private Sub mnuClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuClose.Click
        Me.Close()

    End Sub

    Private Sub frmPatientMedicationSummary_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        lblPatient.Text = strPatient
        LoadPatientMedication()

    End Sub

    Sub LoadPatientMedication()

        dgPatientMedicationSummary.RowHeadersVisible = False

        Dim dtPatientMedicationSummary As New DataTable

        Dim connString As String
        Dim connection As New SqlCeConnection
        Dim command As New SqlCeCommand
        Dim adapter As New SqlCeDataAdapter
        Dim sql As String

        connString = "Persist Security Info=False; Data Source=" & strStartUp & "\MedicalRecords.sdf"
        connection = New SqlCeConnection(connString)
        connection.Open()

        'PatientMedicationSummary
        Dim dgts As DataGridTableStyle = New DataGridTableStyle()
        Dim dgtbc As New DataGridTextBoxColumn()
        sql = "SELECT tblMedication.MedicationTitle, tblMedication.MedicationStrength, tblPatientMedication.Active, tblPatientMedication.DailyQuantity, tblPatientMedication.StartDate "
        sql = sql & "FROM tblPatientMedication INNER JOIN "
        sql = sql & "tblMedication ON tblPatientMedication.MedicationID = tblMedication.MedicationID "
        sql = sql & "WHERE tblPatientMedication.PatientID = " & cntPatient

        command = New SqlCeCommand(sql, connection)
        adapter.SelectCommand = command
        adapter.Fill(dtPatientMedicationSummary)

        dgPatientMedicationSummary.Width = ScreenWidth
        dgPatientMedicationSummary.Height = UseableScreen / 2
        dgPatientMedicationSummary.Top = 30
        dgPatientMedicationSummary.Left = 0

        dgts.MappingName = ""
        dgPatientMedicationSummary.TableStyles.Add(dgts)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "MedicationName"
        dgtbc.HeaderText = "Medication"
        dgtbc.Width = dgPatientMedicationSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "MedicationStrength"
        dgtbc.HeaderText = "Strength"
        dgtbc.Width = dgPatientMedicationSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "Active"
        dgtbc.HeaderText = "Active"
        dgtbc.Width = dgPatientMedicationSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "DailyQuantity"
        dgtbc.HeaderText = "Quantity"
        dgtbc.Width = dgPatientMedicationSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "StartDate"
        dgtbc.HeaderText = "Start"
        dgtbc.Width = dgPatientMedicationSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgPatientMedicationSummary.DataSource = dtPatientMedicationSummary

        adapter.Dispose()
        command.Dispose()
        connection.Close()

    End Sub

    Private Sub sipChange(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InputPanel1.EnabledChanged

        PanelHeight = InputPanel1.Bounds.Height

        If (InputPanel1.Enabled) Then

        Else

        End If

    End Sub

    Private Sub dgPatientMedication_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub mnuAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAdd.Click

        AddAppointment = True
        frmAddPatientMedication.ShowDialog()
        LoadPatientMedication()

    End Sub

End Class