Imports System.Data.SqlServerCe
Imports System.Data
Imports System.Drawing
Imports System.Windows.Forms

Public Class frmPatientDoctorSummary

    Private Sub mnuClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuClose.Click
        Me.Close()

    End Sub

    Private Sub frmPatientDoctorSummary_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        lblPatient.Text = strPatient
        LoadDoctorPatient()

    End Sub

    Sub LoadDoctorPatient()

        dgPatientDoctorSummary.RowHeadersVisible = False

        Dim dtPatientDoctorSummary As New DataTable

        Dim connString As String
        Dim connection As New SqlCeConnection
        Dim command As New SqlCeCommand
        Dim adapter As New SqlCeDataAdapter
        Dim sql As String

        connString = "Persist Security Info=False; Data Source=" & strStartUp & "\MedicalRecords.sdf"
        connection = New SqlCeConnection(connString)
        connection.Open()

        'PatientDoctorSummary
        Dim dgts As DataGridTableStyle = New DataGridTableStyle()
        Dim dgtbc As New DataGridTextBoxColumn()
        sql = "SELECT tblDoctor.DoctorName, tblDoctorPatient.AppointmentDate, tblDoctorPatient.AppointmentTime, tblSurgery.SurgeryName"
        sql = sql & " FROM tblDoctor INNER JOIN"
        sql = sql & " tblDoctorPatient ON tblDoctor.DoctorID = tblDoctorPatient.DoctorID INNER JOIN"
        sql = sql & " tblSurgery ON tblDoctorPatient.SurgeryID = tblSurgery.SurgeryID"
        sql = sql & " WHERE tblDoctorPatient.PatientID = " & cntPatient

        command = New SqlCeCommand(sql, connection)
        adapter.SelectCommand = command
        adapter.Fill(dtPatientDoctorSummary)

        dgPatientDoctorSummary.Width = ScreenWidth
        dgPatientDoctorSummary.Height = UseableScreen / 2
        dgPatientDoctorSummary.Top = 30
        dgPatientDoctorSummary.Left = 0

        dgts.MappingName = ""
        dgPatientDoctorSummary.TableStyles.Add(dgts)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "DoctorName"
        dgtbc.HeaderText = "Doctor"
        dgtbc.Width = dgPatientDoctorSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "SurgeryName"
        dgtbc.HeaderText = "Surgery"
        dgtbc.Width = dgPatientDoctorSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "AppointmentDate"
        dgtbc.HeaderText = "Date"
        dgtbc.Format = "dd MMM yy"
        dgtbc.Width = dgPatientDoctorSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgtbc = New DataGridTextBoxColumn()
        dgtbc.MappingName = "AppointmentTime"
        dgtbc.HeaderText = "Time"
        dgtbc.Format = "HH:mm"
        dgtbc.Width = dgPatientDoctorSummary.Width * 0.3
        dgts.GridColumnStyles.Add(dgtbc)

        dgPatientDoctorSummary.DataSource = dtPatientDoctorSummary

        adapter.Dispose()
        command.Dispose()
        connection.Close()

    End Sub

    Private Sub sipChange(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles InputPanel1.EnabledChanged

        PanelHeight = InputPanel1.Bounds.Height

        If (InputPanel1.Enabled) Then

        Else

        End If

    End Sub

    Private Sub dgPatientMedication_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub mnuAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuAdd.Click

        AddAppointment = True
        frmAddAppointment.ShowDialog()
        LoadDoctorPatient()

    End Sub

End Class